### Method

# Gtk Snapshot render_background

#### Declaration [src]

    void
    gtk_snapshot_render_background (
      GtkSnapshot* snapshot,
      GtkStyleContext* context,
      double x,
      double y,
      double width,
      double height
    )

#### Description [src]

Creates a render node for the CSS background according to `context`, and appends it to the current node of `snapshot`, without changing the current node.

#### Parameters

`context` | `GtkStyleContext`
| The `GtkStyleContext` to use.
| The data is owned by the caller of the function.
`x` | `double`
| X origin of the rectangle.
`y` | `double`
| Y origin of the rectangle.
`width` | `double`
| Rectangle width.
`height` | `double`
| Rectangle height.